<?php
// +----------------------------------------------------------------------+
// | PHP version 4                                                        |
// +----------------------------------------------------------------------+
// | Copyright (c) 1997-2005 Snapshot Inc.                                |
// +----------------------------------------------------------------------+
// | License                                                              |
// | GNU General Public License                                           |
// +----------------------------------------------------------------------+
// | Authors: Mai Kawasaki                                                |
// +----------------------------------------------------------------------+
//
// $Id: InputView_success.class.php,v 1.1 2005/06/20 09:31:27 snapshot Exp $
//
// Description:
// 2005/05/18
//

/** 
*	InputView.class.php
*	Mai Kawasaki
*	2005/05/18
*/

/** 
*	InputView
*/
class InputView extends View {

    function & execute (&$controller, &$request, &$user) {

        $renderer =& new Renderer($controller, $request, $user);

        $student = $request->getAttribute('student');
		$mail_info = false;
		if( $request->getAttribute('mail_old') != $student->mail){
			$mail_info = true;
		}
		$pass_info = false;
		if( $request->getAttribute('pass_info') ){
			$pass_info  = true;
		}
        $renderer->setAttribute('pass_info', $pass_info);
        $renderer->setAttribute('mail_info', $mail_info);
        $renderer->setAttribute('aid', $student->aid);
        $renderer->setAttribute('uid', $student->uid);
        $renderer->setAttribute('pass', $student->pass);
        $renderer->setAttribute('type', $request->getAttribute('type'));
        $renderer->setAttribute('admin', $request->getAttribute('admin'));

		if( $request->getAttribute('type') == 'mobile'){
 	       	$renderer->setTemplate('Input_success.php');
		} else {
			$renderer->setTemplate('Input_success_pc.php');
		}


        return $renderer;

    }

}

?>